BSON_STRING_NEW(3)

NAME
bson_string_new - bson_string_new()

SYNOPSIS

bson_string_t *
bson_string_new (const char *str);

PARAMETERS

•   str: A string to be copied or NULL.

DESCRIPTION

Creates a new string builder, which uses power-of-two growth of buffers. Use the various bson_string_append*() functions to append to the string.

RETURNS

A newly allocated bson_string_t that should be freed with bson_string_free() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc